org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryStatusCheckMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryStatusCheckMessage

All Implemented Interfaces:
  Externalizable, Serializable

    public class TcpDiscoveryStatusCheckMessage
    extends TcpDiscoveryAbstractMessage

Message sent by node to its next to ensure that next node and connection to it are alive. Receiving node should send it across the ring, until message does not reach coordinator. Coordinator responds directly to node.

If a failed node id is specified then the message is sent across the ring up to the sender node to ensure that the failed node is actually failed.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `STATUS_OK` Status OK.
`static int` `STATUS_RECON` Status RECONNECT.

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryStatusCheckMessage()` Public default no-arg constructor for `Externalizable` interface.
`TcpDiscoveryStatusCheckMessage(TcpDiscoveryNode creatorNode, UUID failedNodeId)` Constructor.

### Method Summary

Methods
`TcpDiscoveryNode` `creatorNode()` Gets creator node.
`UUID` `failedNodeId()` Gets failed node id.
`void` `readExternal(ObjectInput in)`
`int` `status()` Gets creator status.
`void` `status(int status)` Sets creator node status (should be set by coordinator).
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`client, client, creatorNodeId, destinationClientNodeId, destinationClientNodeId, equals, getFlag, hashCode, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STATUS_OK

    public static final int STATUS_OK

Status OK.

See Also:
  Constant Field Values

#### STATUS_RECON

    public static final int STATUS_RECON

Status RECONNECT.

See Also:
  Constant Field Values

### Constructor Detail

#### TcpDiscoveryStatusCheckMessage

    public TcpDiscoveryStatusCheckMessage()

Public default no-arg constructor for `Externalizable` interface.

#### TcpDiscoveryStatusCheckMessage

    public TcpDiscoveryStatusCheckMessage(TcpDiscoveryNode creatorNode,
                                  UUID failedNodeId)

Constructor.

Parameters:
  `creatorNode` - Creator node.
  `failedNodeId` - Failed node id.

### Method Detail

#### creatorNode

    public TcpDiscoveryNode creatorNode()

Gets creator node.

Returns:
  Creator node.

#### failedNodeId

    public UUID failedNodeId()

Gets failed node id.

Returns:
  Failed node id.

#### status

    public int status()

Gets creator status.

Returns:
  Creator node status.

#### status

    public void status(int status)

Sets creator node status (should be set by coordinator).

Parameters:
  `status` - Creator node status.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015